cancel
Showing results for 
Search instead for 
Did you mean: 

Upgrade from 1.7.0.2 to 1.9.1.1 mysql error

Upgrade from 1.7.0.2 to 1.9.1.1 mysql error

Deleted 1.7 files

Copied unzipped 1.9 files

Replaced custom themes,modules, skins (http://magento.stackexchange.com/questions/21761/magento-upgrade-from-1-7-to-1-9)

Then took old app/etc/locale.xml and copied to new location.

 

Now  do not what to do because I think that 1.9 is going to use 1.7 DB and that might be not correct because I am getting Magento error with the hint to a log file that says:

a:5:{i:0;s:257:"Error in file: "/data04/virt32998/domeenid/www.mydomain.com/htdocs/app/code/core/Mage/Log/sql/log_setup/mysql4-upgrade-1.6.0.0-1.6.1.0.php" - SQLSTATE[42000]: Syntax error or access violation: 1091 Can't DROP 'PRIMARY'; check that column/key exists";i:1;s:1250:"#0 /data04/virt32998/domeenid/www.mydomain.com/htdocs/app/code/core/Mage/Core/Model/Resource/Setup.php(645): Mage::exception('Mage_Core', 'Error in file: ...')
#1 /data04/virt32998/domeenid/www.mydomain.com/htdocs/app/code/core/Mage/Core/Model/Resource/Setup.php(437): Mage_Core_Model_Resource_Setup->_modifyResourceDb('upgrade', '1.6.0.0', '1.6.1.0')
#2 /data04/virt32998/domeenid/www.mydomain.com/htdocs/app/code/core/Mage/Core/Model/Resource/Setup.php(320): Mage_Core_Model_Resource_Setup->_upgradeResourceDb('1.6.0.0', '1.6.1.0')
#3 /data04/virt32998/domeenid/www.mydomain.com/htdocs/app/code/core/Mage/Core/Model/Resource/Setup.php(235): Mage_Core_Model_Resource_Setup->applyUpdates()
#4 /data04/virt32998/domeenid/www.mydomain.com/htdocs/app/code/core/Mage/Core/Model/App.php(417): Mage_Core_Model_Resource_Setup::applyAllUpdates()
#5 /data04/virt32998/domeenid/www.mydomain.com/htdocs/app/code/core/Mage/Core/Model/App.php(343): Mage_Core_Model_App->_initModules()
#6 /data04/virt32998/domeenid/www.mydomain.com/htdocs/app/Mage.php(684): Mage_Core_Model_App->run(Array)
#7 /data04/virt32998/domeenid/www.mydomain.com/htdocs/index.php(87): Mage::run('', 'store')
#8 {main}";s:3:"url";s:1:"/";s:11:"script_name";s:10:"/index.php";s:4:"skin";s:7:"default";}

 

1 REPLY

Re: Upgrade from 1.7.0.2 to 1.9.1.1 mysql error

I deleted again all files and followed instructions from page http://www.siddharthvaghasia.com/2015/01/24/magento-migration/

starting from section 12 (some folder names might be mistyped there) and now my page works. For downloading I uesd downloader.php